# Get all Custom Dictionary Expressions

```
GET 
/custom-dictionary-expressions
```

Retrieve a list of user's Custom Dictionary Expressions.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

A paginated list of Custom Dictionary Expressions.

## Operation spec

```json
{
  "method": "get",
  "path": "/custom-dictionary-expressions",
  "operationId": "get-user-custom-dictionary-expressions",
  "parameters": [
    {
      "name": "cursor",
      "description": "The cursor you received in the next_cursor field to fetch the next page.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "limit",
      "description": "The amount of objects to retrieve, between 1 and 100.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "example": 10
      }
    },
    {
      "name": "order",
      "description": "This flag is used to get results sorted in ascending or descending order.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "ASC",
          "DESC"
        ],
        "example": "DESC",
        "default": "ASC"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "A paginated list of Custom Dictionary Expressions.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "type": "array",
                "items": {
                  "type": "object",
                  "description": "A Custom Dictionary Expression represents a custom expression that helps improve transcription accuracy.",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "description": "Unique identifier of the Custom Dictionary Expression."
                    },
                    "expression": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 64,
                      "description": "The expression for which an improved transcription accuracy is requested.",
                      "example": "metformin"
                    },
                    "speech_locale": {
                      "description": "The locale of the expression.",
                      "type": "string",
                      "enum": [
                        "ENGLISH_US",
                        "ENGLISH_UK",
                        "SPANISH_ES",
                        "SPANISH_MX",
                        "FRENCH_FR",
                        "ARABIC_EG",
                        "ARABIC_LB",
                        "ARABIC_MA",
                        "ARABIC_SA",
                        "ARMENIAN_AM",
                        "BENGALI_IN",
                        "CANTONESE_CN",
                        "CROATIAN_HR",
                        "FILIPINO_PH",
                        "GERMAN_DE",
                        "GREEK_GR",
                        "GUJARATI_IN",
                        "HEBREW_IL",
                        "HINDI_IN",
                        "ITALIAN_IT",
                        "JAPANESE_JP",
                        "KHMER_KH",
                        "KOREAN_KR",
                        "MANDARIN_CN",
                        "PERSIAN_IR",
                        "POLISH_PL",
                        "PORTUGUESE_PT",
                        "PUNJABI_IN",
                        "RUSSIAN_RU",
                        "SERBIAN_RS",
                        "TAMIL_IN",
                        "TELUGU_IN",
                        "THAI_TH",
                        "URDU_IN",
                        "VIETNAMESE_VN",
                        "HAITIAN_HT"
                      ],
                      "example": "ENGLISH_US",
                      "title": "speech_locale"
                    }
                  },
                  "required": [
                    "id",
                    "expression",
                    "speech_locale"
                  ],
                  "title": "custom_dictionary_expression"
                }
              },
              "has_more": {
                "type": "boolean",
                "example": true
              },
              "next_cursor": {
                "type": "string",
                "nullable": true,
                "description": "An opaque cursor to fetch the next page of the collection.",
                "title": "next_cursor"
              }
            },
            "required": [
              "data",
              "has_more"
            ]
          }
        }
      }
    }
  }
}
```
